<form id="ldap" action="#" method="post">
    <fieldset class="personalblock">
        <legend><strong>LDAP</strong></legend>
        <table>
            <thead><tr><th colspan="3">General LDAP Settings</th></tr></thead>
            <tbody>
                <tr><td><?php echo $l->t('Host'); ?></td><td><input type="text" id="ldap_host" name="ldap_host" value="<?php echo $_['ldap_host']; ?>"></td><td></td></tr>
                <tr><td><?php echo $l->t('Port'); ?></td><td><input type="text" id="ldap_port" name="ldap_port" value="<?php echo $_['ldap_port']; ?>" /></td><td></td></tr>
                <tr><td><?php echo $l->t('Base DN'); ?></td><td><input type="text" id="ldap_base" name="ldap_base" value="<?php echo $_['ldap_base']; ?>" /></td><td><small><?php echo $l->t('e.g: "dc=example,dc=com"'); ?></small></td></tr>
                <tr><td><?php echo $l->t('Use TLS'); ?></td><td><input type="checkbox" id="ldap_tls" name="ldap_tls" value="1"<?php if ($_['ldap_tls']) echo ' checked'; ?>></td><td></td></tr>
<!--			<tr><td><?php echo $l->t('Case insensitve LDAP'); ?></td><td><input type="checkbox" id="ldap_nocase" name="ldap_nocase" value="1"<?php if ($_['ldap_nocase']) echo ' checked'; ?>></td><td><small><?php echo $l->t('(Windows)'); ?></small></td></tr> -->

                <tr><td><?php echo $l->t('Service Agent'); ?></td><td><input type="text" id="ldap_dn" name="ldap_dn" value="<?php echo $_['ldap_dn']; ?>" /></td><td><small><?php echo $l->t('e.g: uid=ownCloudAgent,cn=users,dc=example,dc=com'); ?></small></td></tr>
                <tr><td><?php echo $l->t('Service Password'); ?></td><td><input type="password" id="ldap_password" name="ldap_password" value="<?php echo $_['ldap_password']; ?>" /></td><td><small><?php echo $l->t('Leave both empty for anonymous bind.'); ?></small></td></tr>

                <tr><td><?php echo $l->t('User Login Attribute'); ?></td><td><input type="text" id="ldap_login_attr" name="ldap_login_attr" value="<?php echo $_['ldap_login_attr']; ?>" /></td><td><small><?php echo $l->t('e.g. "uid"'); ?></small></td></tr>
                <tr><td><?php echo $l->t('User Filter'); ?></td><td><input type="text" id="ldap_user_filter" name="ldap_user_filter" value="<?php echo $_['ldap_user_filter']; ?>" /></td><td><small><?php echo $l->t('e.g. "(objectClass=person)".'); ?></small></td></tr>
                <tr><td><?php echo $l->t('Email Attribute'); ?></td><td><input type="text" id="ldap_email" name="ldap_email" value="<?php echo $_['ldap_email']; ?>" /></td><td><small></small></td></tr>
                <tr><td><?php echo $l->t('Quota Attribute'); ?></td><td><input type="text" id="ldap_quota" name="ldap_quota" value="<?php echo $_['ldap_quota']; ?>" /></td><td><small><?php echo $l->t('bytes'); ?></small></td></tr>
                <tr><td><?php echo $l->t('Quota Default'); ?></td><td><input type="text" id="ldap_quota_def" name="ldap_quota_def" value="<?php echo $_['ldap_quota_def']; ?>" /></td><td><small><?php echo $l->t('bytes'); ?></small></td></tr>
            </tbody>
            <thead><tr><th colspan="3">LDAP Settings for Groups</th></tr></thead>
            <tbody>
                <tr><td><?php echo $l->t('Enable LDAP Backend for Groups'); ?></td><td><input type="checkbox" id="enable_global_ldap_plugin_for_group" name="enable_global_ldap_plugin_for_group" value="1"<?php if ($_['enable_global_ldap_plugin_for_group']) echo ' checked'; ?>></td><td><small><?php echo $l->t('Be careful, if you switch to LDAP backend for groups, you lose your local admin accounts.'); ?></small></td></tr>
                <tr><td><?php echo $l->t('Group Display Attribute'); ?></td><td><input type="text" id="ldap_group_display_attr" name="ldap_group_display_attr" value="<?php echo $_['ldap_group_display_attr']; ?>" /></td><td><small><?php echo $l->t('e.g: "cn"'); ?></small></td></tr>
                <tr><td><?php echo $l->t('Group Members Attribute'); ?></td><td><input type="text" id="ldap_group_member_attr" name="ldap_group_member_attr" value="<?php echo $_['ldap_group_member_attr']; ?>" /></td><td><small><?php echo $l->t('e.g: "memberuid"'); ?></small></td></tr>
                <tr><td><?php echo $l->t('The member attribute use DN'); ?></td><td><input type="checkbox" id="ldap_group_member_attr_use_dn" name="ldap_group_member_attr_use_dn" value="1"<?php if ($_['ldap_group_member_attr_use_dn']) echo ' checked'; ?>></td><td><small><?php echo $l->t('Check for Active Directory, uncheck for Open Directory.'); ?></small></td></tr>
                <tr><td><?php echo $l->t('Group Filter'); ?></td><td><input type="text" id="ldap_group_filter" name="ldap_group_filter" value="<?php echo $_['ldap_group_filter']; ?>" /></td><td><small><?php echo $l->t('without any placeholder, e.g: "(objectClass=posixgroup)".'); ?></small></td></tr>
                <tr><td><?php echo $l->t('Admin Group Name'); ?></td><td><input type="text" id="ldap_group_admin" name="ldap_group_admin" value="<?php echo $_['ldap_group_admin']; ?>" /></td><td><small><?php echo $l->t('e.g. "admin"'); ?></small></td></tr>
            </tbody>
            <thead><tr><th colspan="3">Test settings</th></tr></thead>
            <tbody>
                <tr><td><?php echo $l->t('Standard username'); ?></td><td><input type="text" id="ldap_group_test_std_user" name="ldap_group_test_std_user" value="<?php echo $_['ldap_group_test_std_user']; ?>"></td><td><small><?php if ($_['ldap_test_std'] == 1) {
    echo $l->t('<span style="color:green">OK </span>');
} else if ($_['ldap_test_std'] == 2) {
    echo $l->t('<span style="color:red">ERROR </span>');
}
echo $l->t('Use a account not in your admin group.'); ?></small></td></tr>
                <tr><td><?php echo $l->t('Administrator username'); ?></td><td><input type="text" id="ldap_group_test_admin_user" name="ldap_group_test_admin_user" value="<?php echo $_['ldap_group_test_admin_user']; ?>"></td><td><small><?php if ($_['ldap_test_admin'] == 1) {
    echo $l->t('<span style="color:green">OK </span>');
} else if ($_['ldap_test_admin'] == 2) {
    echo $l->t('<span style="color:red">ERROR </span>');
} 
echo $l->t('Use a member of your admin group.'); ?></small></td></tr>
            </tbody>
            <thead><tr><th colspan="3">Final step</th></tr></thead>
            <tbody>
                <tr><td><?php echo $l->t('Enable LDAP Backend'); ?></td><td><input type="checkbox" id="enable_global_ldap_plugin" name="enable_global_ldap_plugin" value="1"<?php if ($_['enable_global_ldap_plugin']) echo ' checked'; ?>></td><td><small><?php echo $l->t('You should try to save your configuration before enable this plugin.'); ?></small></td></tr>
            </tbody>
        </table>
        <input type="submit" value="Test & Save" />
    </fieldset>
</form>
